------------------------------------------------------------------------------------
--Name:  	juqing6
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-10-21
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(176, 504)
local Player_1 = CppScriptMgr:AddPlayer(191, 177, 503, "EvilDragon", 0, 0)
local Player_2 = CppScriptMgr:AddSimplePlayer(49064, 175, 513, "ElderMo", 0, 0)
Player_2:SetDir(4)
local Player_3 = CppScriptMgr:AddSimplePlayer(1062444, 169, 508, "SiWuxie", 0, 0)
Player_3:SetDir(4)
local Player_4 = CppScriptMgr:AddSimplePlayer(1065414, 180, 514, "BaiWu", 0, 0)
Player_4:SetDir(4)
local effect_1 = CppScriptMgr:AddEffect("xuanyuan_skill3", 177, 503, 33, 1, 1, 1)
local effect_2 = CppScriptMgr:AddEffect("777_getbonus", 175, 513, 33, 1, 1, 1)
local effect_3 = CppScriptMgr:AddEffect("xuanyuan_skill5xh", 177, 503, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
Player_3:Say("Elder! We can`t hold out much longer!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_4:Say("Elder, you must go! We`ll hold it off! Cloud Island can`t be without you!", 2000)
CppScriptMgr:WaitMilSec(2000)
Player_2:Say("Silence! As the High Priest, I must stand with Cloud Island until the end!", 2000)
CppScriptMgr:WaitMilSec(2000)
Player_1:Say("You`re boasting! Cloud Island will be destroyed today!", 2000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:ShakeScrEffect(1)
local Effect_1 = CppScriptMgr:AddEffect("KillerPattern", 175, 513, 33, 1, 1, 1)
local Effect_2 = CppScriptMgr:AddEffect("KillerPattern", 169, 508, 33, 1, 1, 1)
local Effect_3 = CppScriptMgr:AddEffect("KillerPattern", 180, 514, 33, 1, 1, 1)
Player_1:SetAction(401)
Player_2:SetAction(330)
Player_3:SetAction(330)
Player_4:SetAction(330)
CppScriptMgr:WaitMilSec(190)
Player_2:SetAction(271)
Player_3:SetAction(271)
Player_4:SetAction(271)
Player_2:SetFrameInterval(100000)
Player_3:SetFrameInterval(100000)
Player_4:SetFrameInterval(100000)
CppScriptMgr:WaitMilSec(1030)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 177, 503, 33, 1, 1, 1)
local Effect_4 = CppScriptMgr:AddEffect("taoist-huohuan", 177, 503, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(320)
Player_1:Say("Muahaha! Who can stop me now?", 2000)
CppScriptMgr:WaitMilSec(3410)